package com.uas.platform.b2b.model;

import java.io.Serializable;

import javax.persistence.Cacheable;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

import org.hibernate.annotations.Cache;
import org.hibernate.annotations.CacheConcurrencyStrategy;

/**
 * 只包含最基本的信息，用与跟单据关联展现
 * @author suntg
 *
 */
@Entity
@Table(name = "sec$users")
@Cacheable
@Cache(usage = CacheConcurrencyStrategy.READ_WRITE, region = "com.uas.platform.b2b.model.UserBaseInfo")
public class UserBaseInfo implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@Id
	@Column(name = "user_uu")
	private Long userUU;

	@Column(name = "user_name")
	private String userName;
	
	@Column(name = "user_pwd")
	private String userPwd;

	@Column(name = "user_email")
	private String userEmail;

	@Column(name = "user_tel")
	private String userTel;

	@Column(name = "user_sex")
	private String userSex;
	
	@Column(name = "user_imid")
	private Long userIMId;

	public Long getUserUU() {
		return userUU;
	}

	public void setUserUU(Long userUU) {
		this.userUU = userUU;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getUserPwd() {
		return userPwd;
	}

	public void setUserPwd(String userPwd) {
		this.userPwd = userPwd;
	}

	public String getUserEmail() {
		return userEmail;
	}

	public void setUserEmail(String userEmail) {
		this.userEmail = userEmail;
	}

	public String getUserTel() {
		return userTel;
	}

	public void setUserTel(String userTel) {
		this.userTel = userTel;
	}

	public String getUserSex() {
		return userSex;
	}

	public void setUserSex(String userSex) {
		this.userSex = userSex;
	}

	public Long getUserIMId() {
		return userIMId;
	}

	public void setUserIMId(Long userIMId) {
		this.userIMId = userIMId;
	}

}
